Bug 2004728 (CVE-2021-3796) - CVE-2021-3796 vim: use-after-free in nv_replace() in normal.c
Summary: CVE-2021-3796 vim: use-after-free in nv_replace() in normal.c
Keywords:
Status: NEW
Alias: CVE-2021-3796
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2004976 2006820 2006823 2006824 2004729 2004973 2004974 2004975 2006821
Blocks: 2004623
TreeView+ depends on / blocked
 
Reported: 2021-09-15 19:55 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-18 13:28 UTC (History)
21 users (show)

Fixed In Version: vim 8.2.3428
Doc Type: If docs needed, set a value
Doc Text:
A use-after-free vulnerability in vim could allow an attacker to input a specially crafted file leading to memory corruption and a potentially exploitable crash or code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4517 0 None None None 2021-11-09 19:04:24 UTC

Description Guilherme de Almeida Suckevicz 2021-09-15 19:55:48 UTC
vim is vulnerable to Use After Free

Reference:
https://huntr.dev/bounties/ab60b7f3-6fb1-4ac2-a4fa-4d592e08008d

Upstream patch:
https://github.com/vim/vim/commit/35a9a00afcb20897d462a766793ff45534810dc3

Comment 1 Guilherme de Almeida Suckevicz 2021-09-15 19:56:05 UTC
Created vim tracking bugs for this issue:

Affects: fedora-all [bug 2004729]

Comment 9 errata-xmlrpc 2021-11-09 19:04:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4517 https://access.redhat.com/errata/RHSA-2021:4517


Note You need to log in before you can comment on or make changes to this bug.